#include <stdio.h>

extern char	*sys_errlist[];
extern int	errno;

/*
 *		C O P Y C N T ( )
 *  Takes two file pointers, and copies from one to the other
 */
copycnt (from, to, source, cnt)
FILE *from, *to;
char *source;
long cnt;
{
	char	buf[BUFSIZ];
	int	nread;

	while (cnt > 0L) {
		nread = fread (buf, 1, (cnt > BUFSIZ ? BUFSIZ:(int)cnt), from);
		fwrite (buf, 1, nread, to);
		if (ferror(to) || ferror(from)) {
			bomb ("Error during copy of %s (%s)\n", source,
				sys_errlist[errno] );
			return (-1);
		}
		cnt -= nread;
	}
	return (0);
}
