#
/*
 *	    M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *			   Douglas P. Kingston III
 *
 *			  M D Q S M A N A G E R . C
 */

#include <stdio.h>
#include <pwd.h>
#include "queue.h"

extern	char	*Managerfile;
extern	struct passwd *getpwuid();
extern	char	*index();

int 	Sysgrp	=33;	/* Default systems group */

struct	paramtab  paramtab[] = {
	"sysgrp",	INTVAR,		(char **) &Sysgrp,	NULL,
	0,		0,		0,			0
};

mdqsmanager()
{
	static char	namebuf[LINESIZ];
	register struct passwd *pw;
	register char *cp;
	register FILE *fp;

	rdconf(paramtab);
	if (getgid() == Sysgrp)
		return(1);

	if ((pw = getpwuid(getuid())) == NULL)
		return(0);

	if(( fp = fopen( Managerfile, "r" )) != NULL ) {
		while( fgets( namebuf, LINESIZ, fp ) != NULL ) {
			if (cp = index(namebuf, '\n'))
				*cp = 0;
			if (strcmp (pw->pw_name, namebuf) == SAME) {
				endpwent();
				return(1);
			}
		}
		endpwent();
		return(0);
	}
	return (0);
}
