/*
 *	P U T H D R . C
 *
 *	Part of the MDQS
 *
 *	Doug Kingston, BRL
 */
#include <stdio.h>
#include "queue.h"
#include "rawreq.h"

/*
 *	P U T H D R
 *
 *	Write the given request structure on to the
 *	file given by the file pointer.
 */
puthdr (rp, fp)
register struct request *rp;
FILE	*fp;
{
	struct	rawrequest raw;
	register struct  rawrequest *rwp = &raw;
	
	sprintf (rwp->rw_name, "%-14.14s:", rp->r_name);	/* QDIRSIZ */
	sprintf (rwp->rw_que, "%-14.14s\n", rp->r_que);		/* QUESIZ */
	sprintf (rwp->rw_pri, "%-4d:", rp->r_pri);
	sprintf (rwp->rw_status, "%-6d:", rp->r_status);
	sprintf (rwp->rw_uid, "%-6d:", rp->r_uid);
	sprintf (rwp->rw_gid, "%-6d\n", rp->r_gid);
	sprintf (rwp->rw_forms, "%-8.8s:", rp->r_forms);	/* FORMSIZ */
	sprintf (rwp->rw_options, "%-6d:", rp->r_options);
	sprintf (rwp->rw_copies, "%-6d\n", rp->r_copies);
	sprintf (rwp->rw_size, "%-10ld:", rp->r_size);
	sprintf (rwp->rw_tstart, "%-10ld:", rp->r_tstart);
	sprintf (rwp->rw_tsubmit, "%-10ld\n", rp->r_tsubmit);

	fseek (fp, 0L, 0);		/* Go to the start of the file */
	if(fwrite (&raw, sizeof raw, 1, fp) != 1)
		return (-1);
	return (0);
}
